import React from 'react';
import { TouchEvent } from '@remax/wechat/esm/types/component';
import { NativeProps } from '@/components/base';

export type GridProps = {
  columns: number
  gap?: number | string | [number | string, number | string]
  children: React.ReactNode
} & NativeProps<'--gap' | '--gap-vertical' | '--gap-horizontal'>

export type GridItemProps = {
  span?: number
  children: React.ReactNode
  onClick?: (event: TouchEvent) => void
} & NativeProps

type GridItemStyle = React.CSSProperties &
  Record<'--item-span', GridItemProps['span']>
